Warehouse
EndpointInfo object
- idstring
unique identifier for warehouse
- namestring
Logical name for the cluster.
Supported values:
- Must be unique within an org.
- Must be less than 100 characters.
- cluster_sizestring
Size of the clusters allocated for this warehouse. Increasing the size of a spark cluster allows you to run larger queries on it. If you want to increase the number of concurrent queries, please tune max_num_clusters.
Supported values:
- 2X-Small
- X-Small
- Small
- Medium
- Large
- X-Large
- 2X-Large
- 3X-Large
- 4X-Large
- 5X-Large
- min_num_clustersint32
Minimum number of available clusters that will be maintained for this SQL warehouse. Increasing this will ensure that a larger number of clusters are always running and therefore may reduce the cold start time for new queries. This is similar to reserved vs. revocable cores in a resource manager.
Supported values:
- Must be > 0
- Must be <= min(max_num_clusters, 30)
Defaults to 1
- max_num_clustersint32
Maximum number of clusters that the autoscaler will create to handle concurrent queries.
Supported values:
- Must be >= min_num_clusters
- Must be <= 40.
Defaults to min_clusters if unset.
- auto_stop_minsint32
The amount of time in minutes that a SQL warehouse must be idle (i.e., no RUNNING queries) before it is automatically stopped.
Supported values:
- Must be == 0 or >= 10 mins
- 0 indicates no autostop.
Defaults to 120 mins
- creator_namestring
warehouse creator name
- instance_profile_arnstring
Deprecated. Instance profile used to pass IAM role to the cluster
- tagsobject
A set of key-value pairs that will be tagged on all resources (e.g., AWS instances and EBS volumes) associated with this SQL warehouse.
Supported values:
- Number of tags < 45.
Show child attributesHide child attributes
- custom_tagsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- spot_instance_policystring
Configurations whether the endpoint should use spot instances.
- enable_photonboolean
Configures whether the warehouse should use Photon optimized clusters.
Defaults to true.
- channelobject
Channel Details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Configures whether the warehouse should use serverless compute
- warehouse_typestring
Warehouse type:
PROorCLASSIC. If you want to use serverless compute, you must set toPROand also set the fieldenable_serverless_computetotrue.
- num_clustersint32
current number of clusters running for the service
- num_active_sessionsint64
Deprecated. current number of active sessions for the warehouse
- statestring
state of the endpoint
- jdbc_urlstring
the jdbc connection string for this warehouse
- odbc_paramsobject
ODBC parameters for the SQL warehouse
Show child attributesHide child attributes
- hostnamestring
- pathstring
- protocolstring
- portint32
- healthobject
Optional health status. Assume the warehouse is healthy if this field is not set.
Show child attributesHide child attributes
- statusstring
Health status of the endpoint.
- messagestring
Deprecated. split into summary and details for security
- failure_reasonobject
The reason for failure to bring up clusters for this warehouse. This is available when status is 'FAILED' and sometimes when it is DEGRADED.
Show child attributesHide child attributes
- codestring
status code indicating why the cluster was terminated
- typestring
type of the termination
- parametersobject
list of parameters that provide additional information about why the cluster was terminated
- summarystring
A short summary of the health status in case of degraded/failed warehouses.
- detailsstring
Details about errors that are causing current degraded/failed status.
Get GA
GET
Gets the information for a single SQL warehouse.
API scopes: sql
Parameters
- idstringpath
Required. Id of the SQL warehouse.
Response
- idstring
unique identifier for warehouse
- namestring
Logical name for the cluster.
Supported values:
- Must be unique within an org.
- Must be less than 100 characters.
- cluster_sizestring
Size of the clusters allocated for this warehouse. Increasing the size of a spark cluster allows you to run larger queries on it. If you want to increase the number of concurrent queries, please tune max_num_clusters.
Supported values:
- 2X-Small
- X-Small
- Small
- Medium
- Large
- X-Large
- 2X-Large
- 3X-Large
- 4X-Large
- 5X-Large
- min_num_clustersint32
Minimum number of available clusters that will be maintained for this SQL warehouse. Increasing this will ensure that a larger number of clusters are always running and therefore may reduce the cold start time for new queries. This is similar to reserved vs. revocable cores in a resource manager.
Supported values:
- Must be > 0
- Must be <= min(max_num_clusters, 30)
Defaults to 1
- max_num_clustersint32
Maximum number of clusters that the autoscaler will create to handle concurrent queries.
Supported values:
- Must be >= min_num_clusters
- Must be <= 40.
Defaults to min_clusters if unset.
- auto_stop_minsint32
The amount of time in minutes that a SQL warehouse must be idle (i.e., no RUNNING queries) before it is automatically stopped.
Supported values:
- Must be == 0 or >= 10 mins
- 0 indicates no autostop.
Defaults to 120 mins
- creator_namestring
warehouse creator name
- instance_profile_arnstring
Deprecated. Instance profile used to pass IAM role to the cluster
- tagsobject
A set of key-value pairs that will be tagged on all resources (e.g., AWS instances and EBS volumes) associated with this SQL warehouse.
Supported values:
- Number of tags < 45.
Show child attributesHide child attributes
- custom_tagsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- spot_instance_policystring
Configurations whether the endpoint should use spot instances.
- enable_photonboolean
Configures whether the warehouse should use Photon optimized clusters.
Defaults to true.
- channelobject
Channel Details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Configures whether the warehouse should use serverless compute
- warehouse_typestring
Warehouse type:
PROorCLASSIC. If you want to use serverless compute, you must set toPROand also set the fieldenable_serverless_computetotrue.
- num_clustersint32
current number of clusters running for the service
- num_active_sessionsint64
Deprecated. current number of active sessions for the warehouse
- statestring
state of the endpoint
- jdbc_urlstring
the jdbc connection string for this warehouse
- odbc_paramsobject
ODBC parameters for the SQL warehouse
Show child attributesHide child attributes
- hostnamestring
- pathstring
- protocolstring
- portint32
- healthobject
Optional health status. Assume the warehouse is healthy if this field is not set.
Show child attributesHide child attributes
- statusstring
Health status of the endpoint.
- messagestring
Deprecated. split into summary and details for security
- failure_reasonobject
The reason for failure to bring up clusters for this warehouse. This is available when status is 'FAILED' and sometimes when it is DEGRADED.
Show child attributesHide child attributes
- codestring
status code indicating why the cluster was terminated
- typestring
type of the termination
- parametersobject
list of parameters that provide additional information about why the cluster was terminated
- summarystring
A short summary of the health status in case of degraded/failed warehouses.
- detailsstring
Details about errors that are causing current degraded/failed status.
List GA
GET
Lists all SQL warehouses that a user has access to.
API scopes: sql
Parameters
- run_as_user_idint64query
Deprecated: this field is ignored by the server. Service Principal which will be used to fetch the list of endpoints. If not specified, SQL Gateway will use the user from the session header.
- page_sizeint32query
The max number of warehouses to return.
- page_tokenstringquery
A page token, received from a previous
ListWarehousescall. Provide this to retrieve the subsequent page; otherwise the first will be retrieved.When paginating, all other parameters provided to
ListWarehousesmust match the call that provided the page token.
Response
Returns a list of EndpointInfo objects.
Create GA
POST
Creates a new SQL warehouse.
API scopes: sql
Request body
- namestring
Logical name for the cluster.
Supported values:
- Must be unique within an org.
- Must be less than 100 characters.
- cluster_sizestring
Size of the clusters allocated for this warehouse. Increasing the size of a spark cluster allows you to run larger queries on it. If you want to increase the number of concurrent queries, please tune max_num_clusters.
Supported values:
- 2X-Small
- X-Small
- Small
- Medium
- Large
- X-Large
- 2X-Large
- 3X-Large
- 4X-Large
- 5X-Large
- min_num_clustersint32
Minimum number of available clusters that will be maintained for this SQL warehouse. Increasing this will ensure that a larger number of clusters are always running and therefore may reduce the cold start time for new queries. This is similar to reserved vs. revocable cores in a resource manager.
Supported values:
- Must be > 0
- Must be <= min(max_num_clusters, 30)
Defaults to 1
- max_num_clustersint32
Maximum number of clusters that the autoscaler will create to handle concurrent queries.
Supported values:
- Must be >= min_num_clusters
- Must be <= 40.
Defaults to min_clusters if unset.
- auto_stop_minsint32
The amount of time in minutes that a SQL warehouse must be idle (i.e., no RUNNING queries) before it is automatically stopped.
Supported values:
- Must be == 0 or >= 10 mins
- 0 indicates no autostop.
Defaults to 120 mins
- creator_namestring
warehouse creator name
- instance_profile_arnstring
Deprecated. Instance profile used to pass IAM role to the cluster
- tagsobject
A set of key-value pairs that will be tagged on all resources (e.g., AWS instances and EBS volumes) associated with this SQL warehouse.
Supported values:
- Number of tags < 45.
Show child attributesHide child attributes
- custom_tagsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- spot_instance_policystring
Configurations whether the endpoint should use spot instances.
- enable_photonboolean
Configures whether the warehouse should use Photon optimized clusters.
Defaults to true.
- channelobject
Channel Details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Configures whether the warehouse should use serverless compute
- warehouse_typestring
Warehouse type:
PROorCLASSIC. If you want to use serverless compute, you must set toPROand also set the fieldenable_serverless_computetotrue.
Response
- idstring
Id for the SQL warehouse. This value is unique across all SQL warehouses.
Update GA
POST
Updates the configuration for a SQL warehouse.
API scopes: sql
Parameters
- idstringpath
Required. Id of the warehouse to configure.
Request body
- namestring
Logical name for the cluster.
Supported values:
- Must be unique within an org.
- Must be less than 100 characters.
- cluster_sizestring
Size of the clusters allocated for this warehouse. Increasing the size of a spark cluster allows you to run larger queries on it. If you want to increase the number of concurrent queries, please tune max_num_clusters.
Supported values:
- 2X-Small
- X-Small
- Small
- Medium
- Large
- X-Large
- 2X-Large
- 3X-Large
- 4X-Large
- 5X-Large
- min_num_clustersint32
Minimum number of available clusters that will be maintained for this SQL warehouse. Increasing this will ensure that a larger number of clusters are always running and therefore may reduce the cold start time for new queries. This is similar to reserved vs. revocable cores in a resource manager.
Supported values:
- Must be > 0
- Must be <= min(max_num_clusters, 30)
Defaults to 1
- max_num_clustersint32
Maximum number of clusters that the autoscaler will create to handle concurrent queries.
Supported values:
- Must be >= min_num_clusters
- Must be <= 40.
Defaults to min_clusters if unset.
- auto_stop_minsint32
The amount of time in minutes that a SQL warehouse must be idle (i.e., no RUNNING queries) before it is automatically stopped.
Supported values:
- Must be == 0 or >= 10 mins
- 0 indicates no autostop.
Defaults to 120 mins
- creator_namestring
warehouse creator name
- instance_profile_arnstring
Deprecated. Instance profile used to pass IAM role to the cluster
- tagsobject
A set of key-value pairs that will be tagged on all resources (e.g., AWS instances and EBS volumes) associated with this SQL warehouse.
Supported values:
- Number of tags < 45.
Show child attributesHide child attributes
- custom_tagsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- spot_instance_policystring
Configurations whether the endpoint should use spot instances.
- enable_photonboolean
Configures whether the warehouse should use Photon optimized clusters.
Defaults to true.
- channelobject
Channel Details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Configures whether the warehouse should use serverless compute
- warehouse_typestring
Warehouse type:
PROorCLASSIC. If you want to use serverless compute, you must set toPROand also set the fieldenable_serverless_computetotrue.
Delete GA
Get Workspace Warehouse Config GA
GET
Gets the workspace level configuration that is shared by all SQL warehouses in a workspace.
API scopes: sql
Response
- security_policystring
Security policy for warehouses
- data_access_configarray of object
Spark confs for external hive metastore configuration JSON serialized size must be less than <= 512K
Show child attributesHide child attributes
- keystring
- valuestring
- instance_profile_arnstring
AWS Only: The instance profile used to pass an IAM role to the SQL warehouses. This configuration is also applied to the workspace's serverless compute for notebooks and jobs.
- channelobject
Optional: Channel selection details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Deprecated: only setting this to true is allowed.
- global_paramobject
Deprecated: Use sql_configuration_parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- config_paramobject
Deprecated: Use sql_configuration_parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- sql_configuration_parametersobject
SQL configuration parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- google_service_accountstring
GCP only: Google Service Account used to pass to cluster to access Google Cloud Storage
- enabled_warehouse_typesarray of object
List of Warehouse Types allowed in this workspace (limits allowed value of the type field in CreateWarehouse and EditWarehouse). Note: Some types cannot be disabled, they don't need to be specified in SetWorkspaceWarehouseConfig. Note: Disabling a type may cause existing warehouses to be converted to another type. Used by frontend to save specific type availability in the warehouse create and edit form UI.
Show child attributesHide child attributes
- warehouse_typestring
- enabledboolean
If set to false the specific warehouse type will not be allowed as a value for warehouse_type in CreateWarehouse and EditWarehouse
Set Workspace Warehouse Config GA
PUT
Sets the workspace level configuration that is shared by all SQL warehouses in a workspace.
API scopes: sql
Request body
- security_policystring
Security policy for warehouses
- data_access_configarray of object
Spark confs for external hive metastore configuration JSON serialized size must be less than <= 512K
Show child attributesHide child attributes
- keystring
- valuestring
- instance_profile_arnstring
AWS Only: The instance profile used to pass an IAM role to the SQL warehouses. This configuration is also applied to the workspace's serverless compute for notebooks and jobs.
- channelobject
Optional: Channel selection details
Show child attributesHide child attributes
- namestring
- dbsql_versionstring
- enable_serverless_computeboolean
Deprecated: only setting this to true is allowed.
- global_paramobject
Deprecated: Use sql_configuration_parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- config_paramobject
Deprecated: Use sql_configuration_parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- sql_configuration_parametersobject
SQL configuration parameters
Show child attributesHide child attributes
- config_pairarray of object
Deprecated: Use configuration_pairs
Show child attributesHide child attributes
- keystring
- valuestring
- configuration_pairsarray of object
Show child attributesHide child attributes
- keystring
- valuestring
- google_service_accountstring
GCP only: Google Service Account used to pass to cluster to access Google Cloud Storage
- enabled_warehouse_typesarray of object
List of Warehouse Types allowed in this workspace (limits allowed value of the type field in CreateWarehouse and EditWarehouse). Note: Some types cannot be disabled, they don't need to be specified in SetWorkspaceWarehouseConfig. Note: Disabling a type may cause existing warehouses to be converted to another type. Used by frontend to save specific type availability in the warehouse create and edit form UI.
Show child attributesHide child attributes
- warehouse_typestring
- enabledboolean
If set to false the specific warehouse type will not be allowed as a value for warehouse_type in CreateWarehouse and EditWarehouse